Package org.gradle.plugins.javascript.envjs.http

## Interface HttpFileServer

- All Known Implementing Classes:
    `SimpleHttpFileServer`

      public interface HttpFileServer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getContentRoot​()` |
    `int` | `getPort​()` |
    `java.lang.String` | `getResourceUrl​(java.lang.String path)` |
    `void` | `stop​()` |

- - ### Method Detail

    - #### getPort

          int getPort​()

    - #### getResourceUrl

          java.lang.String getResourceUrl​(java.lang.String path)

    - #### getContentRoot

          java.io.File getContentRoot​()

    - #### stop

          void stop​()